# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(Alien/FreeImage.pm) perl(File/Temp.pm) perl(PDL.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm)
# END SourceDeps(oneline)
%define module_name PDL-IO-Image
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.001
Release: alt4
Summary: Load/save bitmap from/to PDL (via FreeImage library)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KM/KMX/%{module_name}-%{version}.tar.gz

%description
PDL::IO::Image implements I/O for a number of popular image formats. It is based on
["FreeImage library"](http://freeimage.sourceforge.net/) however there is no need to install
FreeImage library on your system because PDL::IO::Image uses [Alien::FreeImage](https://metacpan.org/pod/Alien::FreeImage) module which
handles building FreeImage library from sources (works on Windows, Cygwin, Mac OS X, Linux and other UNIXes).

Check also an excellent FreeImage documentation at [http://freeimage.sourceforge.net/documentation.html](http://freeimage.sourceforge.net/documentation.html)

## Supported file formats

This module supports loading (["new\_from\_file"](#new_from_file) or ["rimage"](#rimage)) and saving (["save"](#save) or ["wimage"](#wimage))
of the following formats (note that not all formats support writing - see `R/W` column).

        BMP  R/W  Windows or OS/2 Bitmap [extensions: bmp]

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.001-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.001-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.001-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.001-alt1.1
- rebuild with perl 5.28.1

* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 1.001-alt1
- initial import by package builder

